vgp.tutor.ode

## Class PjExprOde

- java.lang.Object
- - jv.object.PsObject
  - - jv.project.PjProject
    - - vgp.tutor.ode.PjExprOde

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, PsTimeListenerIf, PsUpdateIf, PvPickListenerIf

      public class PjExprOde
      extends PjProject

  Demo project for solving an ODE using class PnOde. Ode expression may be interactively typed or passed as argument from an Html page containing the applet.
  See Also:
    `PnOdeExpr`, Serialized Form
  Author:
    Konrad Polthier
  Version:
    27.02.03, 1.50 revised (kp) Blackboard added for picking, replacing picking on background.
    23.04.01, 1.20 revised (kp) Initial point added to display, Html parameter added.
    02.10.99, 1.10 revised (kp) PnExprOde renamed to PnOdeExpr and moved to jvx.numeric.
    00.00.98, 1.00 created (kp)

- - ### Field Summary

    - ### Fields inherited from class jv.object.PsObject

      `HAS_BOUNDARY_PANEL, HAS_CONFIG_PANEL, HAS_INFO_PANEL, HAS_LABEL_PANEL, HAS_MATERIAL_PANEL, HAS_TEXTURE_PANEL, HAS_VECTOR_PANEL, INSPECTOR_INFO, INSPECTOR_INFO_EXT, IS_DELETED, IS_FIXED, IS_FOCUSSED, IS_PICKED, IS_SELECTED, IS_USED, NUM_TAGS`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PjExprOde()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `dragInitial(PvPickEvent pos)` Drag an arbitrary point along a geometry, point may lie inside an element.
    `void` | `init()` Initialize and reset project, stops the running animation if any.
    `boolean` | `isShowingVectorField()`
    `void` | `pickInitial(PvPickEvent pos)` Pick an arbitrary point on a geometry, point may lie inside an element.
    `void` | `setEquation(java.lang.String eq)`
    `void` | `setEquation(java.lang.String eq, java.lang.String[] parm)`
    `void` | `setOrder(int order)`
    `void` | `showInitialPoint(boolean flag)`
    `void` | `showVectorField(boolean flag)`
    `void` | `solve()`
    `void` | `start()` Method is invoked during loading of a project in JavaView.
    `boolean` | `update(java.lang.Object event)` Update the class whenever a child has changed.

    - ### Methods inherited from class jv.project.PjProject

      `addDisplay, addGeometry, addGeometry, dispose, dragDisplay, dragVertex, fitDisplays, getAnimation, getDisplay, getDisplays, getGeometry, getGeometry, getNumGeometries, getParameter, getParameterInfo, getViewer, hasAnimation, hasDisplay, isEnabledAutoFit, markVertices, pickDisplay, pickVertex, removeDisplay, removeGeometries, removeGeometry, selectDisplay, selectGeometry, setAnimation, setBackColor, setBorderType, setDisplay, setEnabledAutoFit, setGeometry, setParameterInfo, setTime, setViewer, stop, unmarkVertices`

    - ### Methods inherited from class jv.object.PsObject

      `addInspector, addUpdateListener, assureInspector, clearTag, clone, clone, clone, copy, getFather, getInfoPanel, getInspector, getName, getNumObjects, getSymbol, hasInspector, hasTag, hasUpdateListener, instanceOf, instanceOf, newInspector, newInspector, removeInspector, removeInspector, removeUpdateListener, setName, setParent, setSymbol, setTag, toString, updatePanels`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface jv.anim.PsTimeListenerIf

      `getName`

    - ### Methods inherited from interface jv.project.PvPickListenerIf

      `getName`

- - ### Constructor Detail

    - #### PjExprOde

          public PjExprOde()

  - ### Method Detail

    - #### init

          public void init()

      Description copied from class: `PjProject`
      Initialize and reset project, stops the running animation if any. Does not reset any registered display nor geometry. They must be reset individually in each subclass.
      Overrides:
        `init` in class `PjProject`

    - #### start

          public void start()

      Description copied from class: `PjProject`
      Method is invoked during loading of a project in JavaView.

      If a project has an animation object, then the animation panel is shown when the project's this start() method is invoked during loading of the project. Use `setAnimation(PsAnimation)` to register an animation.

      If auto fit is enabled then scenery is scaled to fit in each display.

      Overrides:
        `start` in class `PjProject`
      See Also:
        `PvViewerIf.start()`, `PjProject.isEnabledAutoFit()`

    - #### showInitialPoint

          public void showInitialPoint(boolean flag)

    - #### isShowingVectorField

          public boolean isShowingVectorField()

    - #### showVectorField

          public void showVectorField(boolean flag)

    - #### setOrder

          public void setOrder(int order)

    - #### setEquation

          public void setEquation(java.lang.String eq)

    - #### setEquation

          public void setEquation(java.lang.String eq,
                                  java.lang.String[] parm)

    - #### solve

          public void solve()

    - #### pickInitial

          public void pickInitial(PvPickEvent pos)

      Description copied from class: `PjProject`
      Pick an arbitrary point on a geometry, point may lie inside an element. This method does nothing and must be overwritten.
      Specified by:
        `pickInitial` in interface `PvPickListenerIf`
      Overrides:
        `pickInitial` in class `PjProject`
      Parameters:
        `pos` - Pick event issued by the display
      See Also:
        `PvPickListenerIf`

    - #### dragInitial

          public void dragInitial(PvPickEvent pos)

      Description copied from class: `PjProject`
      Drag an arbitrary point along a geometry, point may lie inside an element. This method invokes `pickInitial(PvPickEvent)` and should be overwritten.
      Specified by:
        `dragInitial` in interface `PvPickListenerIf`
      Overrides:
        `dragInitial` in class `PjProject`
      Parameters:
        `pos` - Pick event issued by the display
      See Also:
        `PvPickListenerIf`

    - #### update

          public boolean update(java.lang.Object event)

      Update the class whenever a child has changed. Method is usually invoked from the children.
      Specified by:
        `update` in interface `PsUpdateIf`
      Overrides:
        `update` in class `PsObject`
      Parameters:
        `event` - carries a lot of information
      Returns:
        true if event has been handled, otherwise false
      See Also:
        `PsObject.setParent(PsUpdateIf)`, `PsObject.getFather()`, `PsObject.addUpdateListener(PsUpdateIf)`

"

The software JavaView? is copyright protected. All Rights Reserved.
"